KAddressInfo class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAddressInfo Class Reference

Contains information about an internet address. More...

`#include <kextsock.h>`

Collaboration diagram for KAddressInfo:

[legend]
List of all members.

## Public Member Functions
| operator const KSocketAddress * () const
| Returns the KAddressInfo's KSocketAddress.
| operator const addrinfo & () const
| Returns the KAddressInfo's addrinfo.
| operator const addrinfo * () const
| Returns a pointer to KAddressInfo's addrinfo.
const KSocketAddress * | address () const
| Returns the KAddressInfo's KSocketAddress.
int | flags () const
| Returns the flags of the address info (see getaddrinfo(3)).
int | family () const
| Returns the family of the address info (see getaddrinfo(3)).
int | socktype () const
| Returns the socket type of the address info (see getaddrinfo(3)).
int | protocol () const
| Returns the protocol of the address info (see getaddrinfo(3)).
const char * | canonname () const
| Returns the official name of the host (see getaddrinfo(3)).
int | length () const
| Returns the length of the KSocketAddress.
## Friends
class | KExtendedSocket

## Detailed Description

Contains information about an internet address.

It wraps addrinfo, see getaddrinfo(3) for more information.

Definition at line 971 of file kextsock.h.

## Member Function Documentation

KAddressInfo::operator const KSocketAddress * | ( |  | ) | const`[inline]`

| Returns the KAddressInfo's KSocketAddress. Only valid as long as the KAddressInfo exists. Definition at line 991 of file kextsock.h.

KAddressInfo::operator const addrinfo & | ( |  | ) | const`[inline]`

| Returns the KAddressInfo's addrinfo. Definition at line 997 of file kextsock.h.

KAddressInfo::operator const addrinfo * | ( |  | ) | const`[inline]`

| Returns a pointer to KAddressInfo's addrinfo. Only valid as long as the KAddressInfo exists. Definition at line 1004 of file kextsock.h.

const KSocketAddress* KAddressInfo::address | ( |  | ) | const`[inline]`

| Returns the KAddressInfo's KSocketAddress. Only valid as long as the KAddressInfo exists. Returns: the KAddressInfo's KSocketAddress. Definition at line 1012 of file kextsock.h.

int KAddressInfo::flags | ( |  | ) | const

| Returns the flags of the address info (see getaddrinfo(3)). Returns: the flags of the addres info. Definition at line 2470 of file kextsock.cpp.

int KAddressInfo::family | ( |  | ) | const

| Returns the family of the address info (see getaddrinfo(3)). Returns: the family of the addres info. Definition at line 2475 of file kextsock.cpp.

int KAddressInfo::socktype | ( |  | ) | const

| Returns the socket type of the address info (see getaddrinfo(3)). Returns: the socket type of the addres info. Definition at line 2480 of file kextsock.cpp.

int KAddressInfo::protocol | ( |  | ) | const

| Returns the protocol of the address info (see getaddrinfo(3)). Returns: the protocol of the addres info. Definition at line 2485 of file kextsock.cpp.

const char * KAddressInfo::canonname | ( |  | ) | const

| Returns the official name of the host (see getaddrinfo(3)). Only valid as long as the KAddressInfo exists. Returns: the official name of the host Definition at line 2490 of file kextsock.cpp.

int KAddressInfo::length | ( |  | ) | const`[inline]`

| Returns the length of the KSocketAddress. Returns: the KSocketAddress's length Definition at line 1051 of file kextsock.h. References KSocketAddress::size().

The documentation for this class was generated from the following files:

- kextsock.h
- kextsock.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:11 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001